import { XMLElem } from "@/util/XmlElem";
import { UABaseNode, type UABaseNodeOptions } from "./UABaseNode";
import type { NamespaceTable } from "./NameSpaceTable";
import type { IAddressSpace } from "./IAddressSpace";

export class UAMethod extends UABaseNode {
    constructor(options: UAMethodNodeOptions) {
                    super(options);
                    this.nodeClass="Method";
    }

    static  fromXML(uaMethod: any, addressSpace: IAddressSpace): UAMethod{
        const bn=super.fromXML(uaMethod, addressSpace)
        return new UAMethod(bn as UABaseNodeOptions);
    }

    toXML(lnst:NamespaceTable, gnst:NamespaceTable): XMLElem {
        const elem =super.toXML(lnst, gnst);
        return elem;
    }

    getModellingRule(){
        let res:any = "";
        this.references.forEach((ref)=>{
            if(ref.referenceType == "HasModellingRule"){
                res = ref.toNode.browseName;
            }
        })
        return res;
    }
}

export interface UAMethodNodeOptions extends UABaseNodeOptions{
   
}