import { XMLElem } from "@/util/XmlElem";
import type { NamespaceTable } from "./NameSpaceTable";
import { UABaseNode, type UABaseNodeOptions } from "./UABaseNode";
import type { IAddressSpace } from "./IAddressSpace";


export class UAObject extends UABaseNode {


    constructor(options: UAObjectNodeOptions) {
                    super(options);
                    this.nodeClass="Object";
    }

    static  fromXML(uaObject: any, addressSpace: IAddressSpace): UAObject{
        const bn=super.fromXML(uaObject, addressSpace)
        return new UAObject(bn as UABaseNodeOptions);
    }

    toXML(lnst:NamespaceTable, gnst:NamespaceTable): XMLElem {
        const elem =super.toXML(lnst, gnst);
        return elem;
    }
}

export interface UAObjectNodeOptions extends UABaseNodeOptions{
   
}
