import { XMLElem } from "@/util/XmlElem";
import { UABaseNode, type UABaseNodeOptions } from "./UABaseNode";
import type { NamespaceTable } from "./NameSpaceTable";
import type { IAddressSpace } from "./IAddressSpace";



export class UAVariable extends UABaseNode {


    constructor(options: UAVariableNodeOptions) {
                    super(options);
                    this.nodeClass="Variable";
    }

    static  fromXML(uaObject: any, addressSpace: IAddressSpace): UAVariable{
        const bn=super.fromXML(uaObject, addressSpace)
        return new UAVariable(bn as UABaseNodeOptions);
    }

    toXML(lnst:NamespaceTable, gnst:NamespaceTable): XMLElem {
        const elem=super.toXML(lnst, gnst);
        return elem;
    }
    
}

export interface UAVariableNodeOptions extends UABaseNodeOptions{

}
